package runner

// JobResult represents the result of a Lua script execution
type JobResult struct {
	Value any   // Return value from Lua
	Error error // Error if any
}

// job represents a Lua script execution request
type job struct {
	Bytecode   []byte           // Compiled LuaJIT bytecode
	Context    *Context         // Execution context
	ScriptPath string           // Path to the original script (for require resolution)
	Result     chan<- JobResult // Channel to send result back
}
